Entities\Cvpdf:
    type: entity
    table: cv_pdf
    repositoryClass: Repositories\CvpdfRepository
    id:
        id:
            type: integer
            generator:
                strategy: AUTO
    fields:

    oneToOne:
        resource:
            targetEntity: Entities\Resource
            joinColumnName: img
            referencedColumnName: id
            cascade: [persist, remove]
 
    lifecycleCallbacks: { }